Re: [Pkg-kde-extras] Bug#593933: kmymoney: Please build with AqBanking 5

2010-09-23 Thread Emil Langrock
Emil Langrock wrote:
severity 593933 whishlist
block 593933 by 597565
thanks

So, now (after #594553) it is clear that the assumption in the first post of 
this bug (#593933) were wrong and only pkg-config was missing. So back to 
whishlist for aqbanking 5 support - which the next release of kmymoney will 
have. Or to be more precise: it will be aqbanking 5 only thanks to the patch 
inside the attached patch.

So lets hope that the libgwenhyvfar will then search in the right path for the 
aqbanking dialogs.
-- 
Emil Langrock

___
pkg-kde-extras mailing list
pkg-kde-extras@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-kde-extras


Re: [Pkg-kde-extras] Bug#593933: kmymoney: Please build with AqBanking 5

2010-09-21 Thread Mark Purcell
severity 593933 wishlist
thanks

On Monday 20 September 2010 22:05:11 Emil Langrock wrote:
 I see it the same way, but I would say that this is a kind of FTBFS and thus
 it must have the severity serious.

kmymoney 4.5 does not FTFBS:
https://buildd.debian.org/build.cgi?pkg=kmymoney;ver=4.5-1

Thus the severity is not series.

I agree that kmymoney should be built with aqbanking5, however this is an 
experimental package, thus I am assigning severity wishlist for the build 
against aqbanking5.

I also suspect the patches to build against aqbanking5 should be forwarded 
upstream as they are not Debian specific.

Mark


signature.asc
Description: This is a digitally signed message part.
___
pkg-kde-extras mailing list
pkg-kde-extras@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-kde-extras

Re: [Pkg-kde-extras] Bug#593933: kmymoney: Please build with AqBanking 5

2010-09-21 Thread Emil Langrock
severity 593933 serious
thanks

Mark Purcell wrote:
 On Monday 20 September 2010 22:05:11 Emil Langrock wrote:
  I see it the same way, but I would say that this is a kind of FTBFS and
  thus it must have the severity serious.
 
 kmymoney 4.5 does not FTFBS:
 https://buildd.debian.org/build.cgi?pkg=kmymoney;ver=4.5-1

If I build it in a pbuilder then I get functionality wise a complete different 
binary then the thing which is provided by you on amd64. See for example 
https://buildd.debian.org/fetch.cgi?pkg=kmymoney;ver=4.5-1;arch=armel;stamp=1282445711
please search for KBanking plugin and look on the line if it says no or yes.

So either the source is missing (not the case) or it is a ftbfs on amd64 due 
to completely different build results. I will increase the severity again.

 Thus the severity is not series.
 
 I agree that kmymoney should be built with aqbanking5, however this is an
 experimental package, thus I am assigning severity wishlist for the build
 against aqbanking5.
 
 I also suspect the patches to build against aqbanking5 should be forwarded
 upstream as they are not Debian specific.

The patch is definitely debian specific as they change the stuff in debian/

How you fix it to get the same results when building is not my problem - I 
just provided the stuff I did. If it is enough to depend on pkg-config then 
try it - I wont do your work because I am not the package maintainer with the 
expertise to fix that stuff. If the pkg-config is enough then please feel free 
to degrease the severity again to whishlist.
-- 
Emil Langrock

___
pkg-kde-extras mailing list
pkg-kde-extras@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-kde-extras